--- yapet.orig/crypt/bdbuffer.cc	2008-02-08 00:39:17.000000000 +0100
+++ yapet/crypt/bdbuffer.cc	2008-07-21 19:17:21.000000000 +0200
@@ -19,6 +19,14 @@
 
 #include "bdbuffer.h"
 
+#ifdef HAVE_STDLIB_H
+# include <stdlib.h>
+#endif
+
+#ifdef HAVE_STRING_H
+# include <string.h>
+#endif
+
 using namespace YAPET;
 
 /**
@@ -117,7 +125,7 @@
 
     uint8_t* newbuf = alloc_mem(ns);
 
-    if (ns > _size) 
+    if (ns > _size)
 	memcpy(newbuf, data, _size);
     else
 	memcpy(newbuf, data, ns);
--- yapet.orig/crypt/bdbuffer.h	2008-02-11 17:51:39.000000000 +0100
+++ yapet/crypt/bdbuffer.h	2008-07-21 19:15:14.000000000 +0200
@@ -108,7 +108,7 @@
 	    const uint8_t* operator()() const { return data; }
 	    //! Returns the pointer to the memory chunk
 	    uint8_t* operator()() { return data; }
-	    
+
 	    //! Returns the pointer to the memory chunk
 	    operator uint8_t*() { return data; }
 	    //! Returns the pointer to the memory chunk
@@ -118,10 +118,9 @@
 	    operator const void*() { return (void*)data; }
 
 	    const BDBuffer& operator=(const BDBuffer& ed);
-	    
+
     };
-	
+
 }
 
 #endif // _BDBUFFER_H
-
--- yapet.orig/tests/bdbuffer.cc	2008-02-08 00:39:17.000000000 +0100
+++ yapet/tests/bdbuffer.cc	2008-07-21 19:26:11.000000000 +0200
@@ -1,5 +1,6 @@
 // $Id: bdbuffer.cc 1191 2008-02-07 23:39:17Z rafi $
 
+#include <string.h>
 #include <iostream>
 #include <bdbuffer.h>
 
--- yapet.orig/ui/listwidget.h	2008-07-20 00:02:13.577522000 +0200
+++ yapet/ui/listwidget.h	2008-07-21 19:31:35.000000000 +0200
@@ -49,6 +49,10 @@
 # include <list>
 #endif
 
+#ifdef HAVE_ALGORITHM
+# include <algorithm>
+#endif
+
 #ifdef HAVE_STRING_H
 # include <string.h>
 #endif
@@ -615,7 +619,7 @@
 		if (retval == ERR)
 		    throw UIException("Error refreshing the list widget");
 
-		int ch;
+		int ch = 0;
 		while (hasfocus) {
 		    ch = wgetch(window);
 		    switch (ch) {
--- yapet.orig/ui/passwordwidget.cc	2008-02-13 21:47:49.000000000 +0100
+++ yapet/ui/passwordwidget.cc	2008-07-21 19:20:48.000000000 +0200
@@ -19,6 +19,10 @@
 
 #include "passwordwidget.h"
 
+#ifdef HAVE_STDLIB_H
+# include <stdlib.h>
+#endif
+
 using namespace YAPETUI;
 
 PasswordWidget::PasswordWidget(int sx, int sy, int w, int ml)
